javax.persistence.spi

## Interface ProviderUtil

    public interface ProviderUtil

### Method Summary

All Methods Instance Methods Abstract Methods
`LoadState` `isLoaded(Object entity)`
`LoadState` `isLoadedWithoutReference(Object entity, String attributeName)`
`LoadState` `isLoadedWithReference(Object entity, String attributeName)`

### Method Detail

#### isLoadedWithoutReference

    LoadState isLoadedWithoutReference(Object entity,
                                       String attributeName)

#### isLoadedWithReference

    LoadState isLoadedWithReference(Object entity,
                                    String attributeName)

#### isLoaded

    LoadState isLoaded(Object entity)